### R code from vignette source 'easydb_vignette.Rnw'

###################################################
### code chunk number 1: easydb_vignette.Rnw:86-92
###################################################
# Set a few Sweave options:
options( 
    width       = 65,  # width of R output
    prompt      = " ", # Sign preceding R input in R-GUI
    continue    = " "  # same, but after 2nd line
)   # 


###################################################
### code chunk number 2: easydb_vignette.Rnw:180-184 (eval = FALSE)
###################################################
## install.packages(
##     pkgs  = c( "easydb", "easyrsqlite", "easyrodbcexcel", 
##         "easyrodbcaccess"), 
##     repos = "http://R-Forge.R-project.org" )


###################################################
### code chunk number 3: easydb_vignette.Rnw:195-198 (eval = FALSE)
###################################################
## install.packages(
##     pkgs  = "easydb_0.3.1.zip", # add more package names
##     repos = NULL )


###################################################
### code chunk number 4: easydb_vignette.Rnw:205-210
###################################################
library( "easydb" ) 
library( "easyrsqlite" ) 
# library( "easyrodbcexcel" ) 
# library( "easyrodbcaccess" ) 
# library( "easyrodbcmysql" ) 


###################################################
### code chunk number 5: easydb_vignette.Rnw:221-223 (eval = FALSE)
###################################################
## install.packages( "RSQLite" ) 
## library( "RSQLite" )


###################################################
### code chunk number 6: easydb_vignette.Rnw:235-237 (eval = FALSE)
###################################################
## install.packages( "RODBC" ) 
## library( "RODBC" )


###################################################
### code chunk number 7: easydb_vignette.Rnw:249-251 (eval = FALSE)
###################################################
## install.packages( "RODBC" ) 
## library( "RODBC" )


###################################################
### code chunk number 8: easydb_vignette.Rnw:265-267 (eval = FALSE)
###################################################
## install.packages( "RODBC" ) 
## library( "RODBC" )


###################################################
### code chunk number 9: easydb_vignette.Rnw:280-281
###################################################
system.file( package = "easydb" ) 


###################################################
### code chunk number 10: easydb_vignette.Rnw:288-289
###################################################
list.files( system.file( package = "easydb" ) )


###################################################
### code chunk number 11: easydb_vignette.Rnw:306-307
###################################################
system.file( "soils.db", package = "easyrsqlite" ) 


###################################################
### code chunk number 12: easydb_vignette.Rnw:316-317 (eval = FALSE)
###################################################
## system.file( "soils.mdb", package = "easyrodbcaccess" ) 


###################################################
### code chunk number 13: easydb_vignette.Rnw:326-327 (eval = FALSE)
###################################################
## system.file( "soils.accdb", package = "easyrodbcaccess" ) 


###################################################
### code chunk number 14: easydb_vignette.Rnw:336-337 (eval = FALSE)
###################################################
## system.file( "soils.xls", package = "easyrodbcexcel" ) 


###################################################
### code chunk number 15: easydb_vignette.Rnw:346-347 (eval = FALSE)
###################################################
## system.file( "soils.xlsx", package = "easyrodbcexcel" ) 


###################################################
### code chunk number 16: easydb_vignette.Rnw:358-359 (eval = FALSE)
###################################################
## system.file( "create_MySQL_db.sql", package = "easyrodbcmysql" ) 


###################################################
### code chunk number 17: easydb_vignette.Rnw:371-378
###################################################
file.copy( 
    from      = system.file( "soils.db", package = "easyrsqlite" ), 
    to        = "soils.db", 
    overwrite = TRUE ) 
#
# Check that the file has been copied:
file.exists( "soils.db" ) 


###################################################
### code chunk number 18: easydb_vignette.Rnw:385-389 (eval = FALSE)
###################################################
## file.copy( 
##     from      = system.file( "soils.mdb", package = "easyrodbcaccess" ), 
##     to        = "soils.mdb", 
##     overwrite = TRUE ) 


###################################################
### code chunk number 19: easydb_vignette.Rnw:396-400 (eval = FALSE)
###################################################
## file.copy( 
##     from      = system.file( "soils.accdb", package = "easyrodbcaccess" ), 
##     to        = "soils.accdb", 
##     overwrite = TRUE ) 


###################################################
### code chunk number 20: easydb_vignette.Rnw:407-411 (eval = FALSE)
###################################################
## file.copy( 
##     from      = system.file( "soils.xls", package = "easyrodbcexcel" ), 
##     to        = "soils.xls", 
##     overwrite = TRUE ) 


###################################################
### code chunk number 21: easydb_vignette.Rnw:418-422 (eval = FALSE)
###################################################
## file.copy( 
##     from      = system.file( "soils.xlsx", package = "easyrodbcexcel" ), 
##     to        = "soils.xlsx", 
##     overwrite = TRUE ) 


###################################################
### code chunk number 22: easydb_vignette.Rnw:452-453
###################################################
sDb <- edb( dbName = "soils.db", dbType = "RSQLite_SQLite" ) 


###################################################
### code chunk number 23: easydb_vignette.Rnw:468-470
###################################################
# Object class:
class( sDb )


###################################################
### code chunk number 24: easydb_vignette.Rnw:479-480
###################################################
aDb <- edb( dbName = "soils.mdb", dbType = "RODBC_Access" ) 


###################################################
### code chunk number 25: easydb_vignette.Rnw:495-497
###################################################
# Object class:
class( aDb )


###################################################
### code chunk number 26: easydb_vignette.Rnw:506-508
###################################################
aDb2 <- edb( dbName = "soils.accdb", dbType = "RODBC_Access", 
    accessVersion = 2007 ) 


###################################################
### code chunk number 27: easydb_vignette.Rnw:526-528
###################################################
# Object class:
class( aDb2 )


###################################################
### code chunk number 28: easydb_vignette.Rnw:537-538
###################################################
eDb <- edb( dbName = "soils.xls", dbType = "RODBC_Excel" ) 


###################################################
### code chunk number 29: easydb_vignette.Rnw:553-555
###################################################
# Object class:
class( eDb )


###################################################
### code chunk number 30: easydb_vignette.Rnw:564-566
###################################################
eDb2 <- edb( dbName = "soils.xlsx", dbType = "RODBC_Excel", 
    excelVersion = 2007 ) 


###################################################
### code chunk number 31: easydb_vignette.Rnw:584-586
###################################################
# Object class:
class( eDb2 )


###################################################
### code chunk number 32: easydb_vignette.Rnw:595-604
###################################################
mDb <- edb( 
    dbType       = "RODBC_MySQL", 
    dbSourceName = "nameOfODBCSource", # or any name you like
    dbName       = "nameOfDatabase", 
    dbLogin      = "yourUserName", 
    dbPwd        = "yourPassword", 
    dbHost       = "127.0.0.1", 
    dbPort       = 3306 
)   #    


###################################################
### code chunk number 33: easydb_vignette.Rnw:628-629 (eval = FALSE)
###################################################
## edbDataSource( mDb, verbose = TRUE ) 


###################################################
### code chunk number 34: easydb_vignette.Rnw:635-637
###################################################
# Object class:
class( mDb )


###################################################
### code chunk number 35: easydb_vignette.Rnw:657-658
###################################################
edbNames( edb = sDb ) 


###################################################
### code chunk number 36: easydb_vignette.Rnw:678-679
###################################################
edbColnames( edb = sDb, tableName = "PROFILE" ) 


###################################################
### code chunk number 37: easydb_vignette.Rnw:693-699
###################################################
# Number of rows: 
edbNRow( edb = sDb, tableName = "PROFILE" ) 
# Number of columns: 
edbNCol( edb = sDb, tableName = "PROFILE" ) 
# Dimenssions (rows x columns): 
edbDim( edb = sDb, tableName = "PROFILE" ) 


###################################################
### code chunk number 38: easydb_vignette.Rnw:742-743
###################################################
sDb[ "PROFILE" ] 


###################################################
### code chunk number 39: easydb_vignette.Rnw:751-752
###################################################
edbRead( edb = sDb, tableName = "PROFILE" ) 


###################################################
### code chunk number 40: easydb_vignette.Rnw:761-762
###################################################
sDb[ "PROFILE", , c("ID_PROFILE","NAME") ] 


###################################################
### code chunk number 41: easydb_vignette.Rnw:770-774
###################################################
edbRead( 
    edb       = sDb, 
    tableName = "PROFILE", 
    sCol      = c("ID_PROFILE","NAME") ) 


###################################################
### code chunk number 42: easydb_vignette.Rnw:782-785
###################################################
sDb[ "PROFILE", , c(1,2) ] 
#
sDb[ "PROFILE", , c(T,T,F,F,F,F,F) ] 


###################################################
### code chunk number 43: easydb_vignette.Rnw:798-799
###################################################
sDb[ "WRB_SOIL_GROUP", list( "ID_WRB_SOIL_GROUP" = 1:10 ) ] 


###################################################
### code chunk number 44: easydb_vignette.Rnw:809-812
###################################################
sDb[ "WRB_SOIL_GROUP", 
    list( "ID_WRB_SOIL_GROUP" = 1:10, 
          "ABBREV" = c("AL","AT","PL") ) ] 


###################################################
### code chunk number 45: easydb_vignette.Rnw:820-831
###################################################
edbRead( 
    edb       = sDb, 
    tableName = "WRB_SOIL_GROUP", 
    sRow      = list( "ID_WRB_SOIL_GROUP" = 1:10 ) ) 
#
# Multiple constrains (const1 AND const2):
edbRead( 
    edb       = sDb, 
    tableName = "WRB_SOIL_GROUP", 
    sRow      = list( "ID_WRB_SOIL_GROUP" = 1:10, 
                      "ABBREV" = c("AL","AT","PL") ) ) 


###################################################
### code chunk number 46: easydb_vignette.Rnw:838-840
###################################################
sDb[ "WRB_SOIL_GROUP", list( "ID_WRB_SOIL_GROUP" = 1:10 ), 
    c("ID_WRB_SOIL_GROUP","NAME") ] 


###################################################
### code chunk number 47: easydb_vignette.Rnw:847-848
###################################################
sDb[ "WRB_SOIL_GROUP", list( "SQL" = "NAME LIKE 'Al%'" ) ] 


###################################################
### code chunk number 48: easydb_vignette.Rnw:856-858
###################################################
sDb[ "WRB_SOIL_GROUP", list( "ID_WRB_SOIL_GROUP" = 1:10 ), 
    c("ID_WRB_SOIL_GROUP","NAME"), verbose = TRUE ] 


###################################################
### code chunk number 49: easydb_vignette.Rnw:868-870
###################################################
sDb[ "WRB_SOIL_GROUP", list( "ID_WRB_SOIL_GROUP" = 1:10, 
    "ABBREV" = c("AL","AT","PL") ), sRowOp = "OR" ] 


###################################################
### code chunk number 50: easydb_vignette.Rnw:880-882
###################################################
profileTbl <- sDb[ "PROFILE" ] 
profileTbl 


###################################################
### code chunk number 51: easydb_vignette.Rnw:896-897
###################################################
profileTbl[, "ID_PROFILE" ] <- 3:4 


###################################################
### code chunk number 52: easydb_vignette.Rnw:904-905
###################################################
sDb[ "PROFILE" ] <- profileTbl 


###################################################
### code chunk number 53: easydb_vignette.Rnw:916-920
###################################################
# First change the IDs:
profileTbl[, "ID_PROFILE" ] <- 5:6 
#
edbWrite( edb = sDb, tableName = "PROFILE", data = profileTbl ) 


###################################################
### code chunk number 54: easydb_vignette.Rnw:927-928
###################################################
sDb[ "PROFILE", , c("ID_PROFILE","NAME") ] 


###################################################
### code chunk number 55: easydb_vignette.Rnw:945-946
###################################################
profileTbl[,"NAME"] <- c("My 5th profile","My 6th profile") 


###################################################
### code chunk number 56: easydb_vignette.Rnw:953-959
###################################################
edbWrite( 
    edb       = sDb, 
    tableName = "PROFILE", 
    data      = profileTbl, 
    mode      = "u", 
    pKey      = "ID_PROFILE" ) 


###################################################
### code chunk number 57: easydb_vignette.Rnw:966-968
###################################################
sDb[ "PROFILE", list( "ID_PROFILE" = 5:6 ), 
    c("ID_PROFILE","NAME") ] 


###################################################
### code chunk number 58: easydb_vignette.Rnw:1082-1083
###################################################
file.remove( sDb[["dbName"]] ) 


###################################################
### code chunk number 59: easydb_vignette.Rnw:1094-1099
###################################################
sessionInfo() 
packageVersion( pkg = "easydb" ) 
# packageVersion( pkg = "RODBC" ) 
packageVersion( pkg = "DBI" ) 
packageVersion( pkg = "RSQLite" ) 


